from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XConditionalFormats(XInterface, Protocol):
    def createByRange(self, range: XSheetCellRanges) -> int: ...
    def removeByID(self, ID: int) -> None: ...
    def getConditionalFormats(self) -> list[XConditionalFormat]: ...
    def getLength(self) -> int: ...
